//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.01.10 at 02:44:37 PM CET 
//


package net.ihe.gazelle;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;


/**
 * <p>Java class for anonymous complex type.
 *
 * <p>The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}modelUMLDesc" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "modelUMLDesc"
})
@XmlRootElement(name = "UMLModelsDescription")
public class UMLModelsDescription {

    @XmlElement(required = true)
    private List<ModelUMLDesc> modelUMLDesc;

    /**
     * Gets the value of the modelUMLDesc property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the modelUMLDesc property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getModelUMLDesc().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link net.ihe.gazelle.goc.umlmodel.model.ModelUMLDesc}
     *
     * @return a {@link List} object.
     */
    public List<ModelUMLDesc> getModelUMLDesc() {
        if (modelUMLDesc == null) {
            modelUMLDesc = new ArrayList<>();
        }
        return this.modelUMLDesc;
    }

}
